<?php
//TITLE=IRC proxy with transparent character set conversion

$title = 'IRC proxy with transparent character set conversion';
$progname = 'iconvircproxy';

require_once '/WWW/email.php';

$text = array(
   '1. Purpose' => "

 In an ideal world, everyone would use <a href=\"http://www.utf-8.com/\">UTF-8</a>
 for text transmission. UTF-8 supports nearly all characters of all languages,
 including the French accented characters, the cyrillic alphabets, the
 Arabian writing and even the thousands of ideographs from Chinese.
<p>
 However, in the world we live in, people use different encodings.
 Finnish people use ISO-8859-1, ISO-8859-15 or Windows-1252; Japanese people
 use ISO-2022-JP, SHIFT-JIS or EUC-JP; Polish people use ISO-8859-2, and so on.
 People using different encodings will see other people's text as an unreadable
 mess of code.
<p>
 This proxy is a solution for IRC users who want to be able to talk
 with everyone despite of their character set differences.
<p>
 The primary audience of this program are the European IRC users who
 occassionally talk on Japanese channels.
<p>
 With the proxy, all you need is an IRC client that understands and speaks
 fluently UTF-8.<br>
 The proxy supports all the ISO-8859 family character sets,
 ISO-2022-JP, SHIFT-JIS Japanese encodings and the UTF-8 unicode
 encoding, and will transparently use them with the
 \"in Rome, do like the Romans do\" principle.

", '1. Installation (unix systems)' => "

To install iconvircproxy, follow the following instructions:
<ol>
 <li>Download it:<br>
   <pre>wget http://bisqwit.iki.fi/src/arch/iconvircproxy-1.6.0.tar.bz2</pre>
  </li>
 <li>Extract it:<br>
   <pre>tar xvfj iconvircproxy-1.6.0.tar.bz2</pre>
  </li>
 <li>Compile it:<br>
   <pre>cd iconvircproxy-1.6.0
make</pre>
  </li>
</ol>

 You may now delete all files from the working directory
 except <tt>ircproxy.cfg</tt> and <tt>iconvircproxy</tt>.
<p>
 To configure iconvircproxy, edit the <tt>ircproxy.cfg</tt> file
 and adjust the settings as you see fit. The default settings are
 ok for most IRCNet users.
<p>
 Run iconvircproxy: <pre>./iconvircproxy</pre>
<p>
 After <tt>iconvircproxy</tt> has been started, connect your
 IRC client to the computer the proxy is running at. In most
 IRC clients, this command will do it: <pre>/server your.host.name 6622</pre>
 <br>
 Replace the number 6622 with the port you specified in
 the <tt>listen_port</tt> setting in the configuration file.

", '1. Installation (windows systems)' => "

To install iconvircproxy, follow the following instructions:
<ol>
 <li>Download it:<br>
   <pre>wget http://bisqwit.iki.fi/src/arch/iconvircproxy-1.5.0-win32.zip</pre>
  </li>
 <li>Extract it:<br>
   <pre>unzip iconvircproxy-1.5.0-win32.zip</pre>
  </li>
</ol>

 To configure iconvircproxy, edit the <tt>ircproxy.cfg</tt> file
 and adjust the settings as you see fit. The default settings are
 ok for most IRCNet users.
<p>
 Run iconvircproxy: <pre>iconvircproxy</pre>
<p>
 After <tt>iconvircproxy</tt> has been started, connect your
 IRC client to the computer the proxy is running at. In most
 IRC clients, this command will do it: <pre>/server localhost:6622</pre>
 <br>
 If you are running the program in some other machine than
 the same where the irc client is ran, replace localhost
 with the address of the host.
 Replace the number 6622 with the port you specified in
 the <tt>listen_port</tt> setting in the configuration file.
<p>
 Note that your IRC client / terminal must be fluent in UTF-8.

", '1. Recommended IRC clients' => "

 For a list of IRC clients supporting UTF-8, see
 <a href=\"http://freedesktop.org/Software/IrcClients\"
 >http://freedesktop.org/Software/IrcClients</a>.
<p>
 Also,
 <a href=\"http://www.eterna.com.au/ircii/\">IrcII</a> will also soon support UTF-8.

", '1. Troubleshooting' => "

 <b>Q</b>: I get a \"too many user connections\" message.<br>
 <b>A</b>: This message comes from your IRC server. You can try to find
 a less restrictive IRC server. The server might also be full, try again later.
<p>
 <b>Q</b>: Everything else works fine, but Japanese characters show as squares.<br>
 <b>A</b>: Do you have a Japanese font (such as MS&nbsp;Gothic or Watanabe)
  installed? If this text shows as squares: &#12431;&#12383;&#12394;&#12409;, you don't.
  Does your terminal program (the window where the text appears in)
  support the Japanese symbols? Most terminal programs (and mIRC) only
  support one 256-character font even when they're interpreting UTF-8.<br>
  X-Chat does not have this problem. For Linux users, gnome-terminal is
  a good UTF-8 -compatible terminal with no XIM/font problems.
  For Windows, a good UTF-8 compatible ssh client is still to be found.
  PuTTY doesn't qualify.
  If you use \"screen\", you must attach the screen with the <tt>-U</tt> option.
<p>
 <b>Q</b>: Japanese text displays fine, but how can I type it?<br>
 <b>A</b>: You need an input method editor such as <em>kinput2</em>.
   Assuming you have it installed, you need to start your terminal
   with a command line such as this:
  <tt>XMODIFIERS=@im=kinput2 LANGUAGE=C LC_ALL=ja_JP.UTF-8 gnome-terminal</tt>
<p>
 <b>Q</b>: \"Could not connect to host.\"<br>
 <b>A</b>: Check your firewall settings.<br>
 Disclaimer: I have tested the Windows version only under Wine,
 where it seems to work fine.

", '1. Copying' => "

iconvircproxy has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).
 <p>
This means that you are <em>free</em> to use for whatever purpose
you want to as long as you wish, <em>free</em> to analyze the source
code, <em>free</em> to modify it to suit your needs, <em>free</em> to
create derived works of it, <em>free</em> to sell it if you want to,
but there is <em>no warranty</em> and if you distribute it, you are
<em>not allowed to restrict</em> these freedoms.
 <p>
If you modify the source code or create derived works of it, you are
encouraged to share your creations with the original author:
".GetEmail('', 'Joel Yliluoma', 'bisqwi'. 't@iki.fi')."

", '1. Requirements' => "

GNU make and C++ compiler is required to recompile the source code.<br>
For running the program, there are no external requirements.<br>
GCC version 3.3 or greater is required.<br>

", '1. Runtime configuration' => "

(NEW in version 1.6.0)
 <p>
To reconfigure iconvircproxy without disconnecting from the server,
just do <code>/msg iconvircproxy RELOAD</code>. You can also inspect
the running configuration by doing <code>/msg iconvircproxy HELP</code>.<br>
The messages will be intercepted before sending to the server.

");
include '/WWW/progdesc.php';
